Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006474 [DCSS] Patches tweak always 2012-12-27 01:13 2013-11-10 19:01
Reporter pivotal View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status resolved   Product Branch 0.12 ancient branch
Summary 0006474: Add Falchion to Chaos Knight initial weapon selection.
Description As of right now, only Fi/Gl are allowed to select a falchion as their starting weapon. A Chaos Knight can select a mace, which is nearly identical to the falchion.

Mace: 8/3/140
Falchion: 8/2/130

When both of these weapon reach min delay, the falchion can attack 8 times in 5 turns, versus 7 times in 5 turns for the mace. The lower accuracy may take away the 1 aut advantage of the mace. I haven't fsimmed it, but I would bet it's very close.

Neither of these weapon classes have special abilities. What they offer are different upgrade paths. Long Blades have the best common one hander (scimitar) and Maces and Flails have the best common non-axe two-hander (great mace). A great sword is nowhere near as good as a great mace, and the one handed maces and flails are all terrible (these really need reworking).

I suggest allowing CK to choose a falchion as a test to see if Be should be allowed to select a falchion as well, which has been suggested by other players in ##crawl.

I have attached two patches. One gives CK the choice of falchion without altering the base damage of falchions, and the other gives CK the choice of falchion and lowers the base damage of falchions to 7, which would make a falchion worse than a mace damage-wise, but with a better upgrade path for one-handed weapons.
Additional Information
Tags No tags attached.
Attached Files ? file icon add_falchion_to_ck_normal.patch [^] (948 bytes) 2012-12-27 01:13 [Show Content]
? file icon add_falchion_to_ck_alter_base_damage.patch [^] (2,069 bytes) 2012-12-27 01:28 [Show Content]

- Relationships

There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2012-12-27 01:13 pivotal New Issue
2012-12-27 01:13 pivotal File Added: add_falchion_to_ck_normal.patch
2012-12-27 01:14 pivotal File Added: add_falchion_to_ck_alter_base_damage.patch
2012-12-27 01:28 neil File Deleted: add_falchion_to_ck_alter_base_damage.patch
2012-12-27 01:28 pivotal File Added: add_falchion_to_ck_alter_base_damage.patch
2013-11-10 19:01 MarvinPA Status new => resolved
2013-11-10 19:01 MarvinPA Fixed in Branch => 0.14 development branch
2013-11-10 19:01 MarvinPA Resolution open => done
2013-11-10 19:01 MarvinPA Assigned To => MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker